error in package GenVisR while installing
1
0
Entering edit mode
abhisikta • 0
@600e8ea2
Last seen 4 months ago
India

I was trying to install GenVisR package for the R version 4.2.1. It showed the following error. When I tried to install "FField", it is showing again an error and library of GenVisR is not loaded. Please suggest what should I do? Thank You.

Code should be placed in three backticks as shown below

> ##installing the package called GenVisR (Genomic Visualisation in R)
> if (!requireNamespace("BiocManager", quietly = TRUE))
+   install.packages("BiocManager")
> BiocManager::install("GenVisR")
'getOption("repos")' replaces Bioconductor standard repositories, see
'?repositories' for details

replacement repositories:
    CRAN: https://cran.rstudio.com/

Bioconductor version 3.15 (BiocManager 1.30.18), R 4.2.1 (2022-06-23 ucrt)
Installation paths not writeable, unable to update packages
  path: C:/Program Files/R/R-4.2.1/library
  packages:
    MASS, nlme
Warning message:
package(s) not installed when version(s) same as current; use `force = TRUE` to
  re-install: 'GenVisR' 
> ##loading the package in R
> library(GenVisR)
Error: package or namespace load failed for ‘GenVisR’ in loadNamespace(j <- i[[1L]], c(lib.loc, .libPaths()), versionCheck = vI[[j]]):
 there is no package called ‘FField’
> install.packages("FField")
WARNING: Rtools is required to build R packages but is not currently installed. Please download and install the appropriate version of Rtools before proceeding:

https://cran.rstudio.com/bin/windows/Rtools/
Installing package into ‘C:/Users/abhis/AppData/Local/R/win-library/4.2’
(as ‘lib’ is unspecified)
Warning in install.packages :
  package ‘FField’ is not available for this version of R

A version of this package for your version of R might be available elsewhere,
see the ideas at
https://cran.r-project.org/doc/manuals/r-patched/R-admin.html#Installing-packages


# include your problematic code here with any corresponding output 
# please also include the results of running the following in an R session 

sessionInfo( )
GenVisR GenVis • 648 views
ADD COMMENT
1
Entering edit mode

Package ‘FField’ was removed from the CRAN repository.enter link description here I installed FField by using remotes::install_github("cran/FField"). Then I successfully installed by using BiocManager::install("GenVisR") .

ADD REPLY
0
Entering edit mode

Have you tried to install Rtools as it was recommended ?

ADD REPLY
1
Entering edit mode
zlskidmore ▴ 20
@zlskidmore-9639
Last seen 12 weeks ago
United States

an update has been applied, removing the FField dependency, if you try the devel version there should not be an issue.

ADD COMMENT
0
Entering edit mode

what does it mean the devel version ? I'm also gotting the same issue.

ADD REPLY

Login before adding your answer.

Traffic: 613 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6